# 运行

## 构建后端docker镜像

进入Dockerfile所在目录执行命令：

```
docker build  -t ai-demo-platform-server:1.0.0 .
```

## 启动后端服务

```shell
docker run -itd --name ai-demo-platform-server -v /data/ai-platform/server:/data/ai-platform/web/ -p 9908:9908 ai-demo-platform-server:1.0.0
```

## 构建前端镜像

进入Dockerfile所在目录执行命令：

```
docker build  -t ai-demo-platform-web:1.0.0 .
```

## 启动前端服务

> docker run -itd --name ai-demo-platform-web -v /data/ai-platform/web/nginx/html/:/usr/share/nginx/html/ -p 8972:80 -e AI_PLATFORM_SERVER=192.168.10.138:9908 ai-demo-platform-web:1.0.0

## 访问前端页面

http://192.168.10.138:8972/#/login  admin/sst123456#
