package com.supervision.service;

import jakarta.servlet.http.HttpServletResponse;
import org.springframework.web.multipart.MultipartFile;
import java.io.IOException;

public interface FileService {

    /**
     * 上传文件
     * @param file 文件
     * @return 文件ID
     */
    String upload(MultipartFile file) throws IOException;


    /**
     * 下载文件
     * @param fileId 文件ID
     * @param response HTTP响应对象
     */
    void downLoad(String fileId, HttpServletResponse response);
}
